Patch "selftests: mptcp: sockopt: skip getsockopt checks if not supported" has been added to the 6.3-stable tree

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



This is a note to let you know that I've just added the patch titled

    selftests: mptcp: sockopt: skip getsockopt checks if not supported

to the 6.3-stable tree which can be found at:
    http://www.kernel.org/git/?p=linux/kernel/git/stable/stable-queue.git;a=summary

The filename of the patch is:
     selftests-mptcp-sockopt-skip-getsockopt-checks-if-not-supported.patch
and it can be found in the queue-6.3 subdirectory.

If you, or anyone else, feels it should not be added to the stable tree,
please let <stable@xxxxxxxxxxxxxxx> know about it.


>From c6f7eccc519837ebde1d099d9610c4f1d5bd975e Mon Sep 17 00:00:00 2001
From: Matthieu Baerts <matthieu.baerts@xxxxxxxxxxxx>
Date: Thu, 8 Jun 2023 18:38:52 +0200
Subject: selftests: mptcp: sockopt: skip getsockopt checks if not supported

From: Matthieu Baerts <matthieu.baerts@xxxxxxxxxxxx>

commit c6f7eccc519837ebde1d099d9610c4f1d5bd975e upstream.

Selftests are supposed to run on any kernels, including the old ones not
supporting all MPTCP features.

One of them is the getsockopt(SOL_MPTCP) to get info about the MPTCP
connections introduced by commit 55c42fa7fa33 ("mptcp: add MPTCP_INFO
getsockopt") and the following ones.

It is possible to look for "mptcp_diag_fill_info" in kallsyms because
it is introduced by the mentioned feature. So we can know in advance if
the feature is supported and skip the sub-test if not.

Link: https://github.com/multipath-tcp/mptcp_net-next/issues/368
Fixes: ce9979129a0b ("selftests: mptcp: add mptcp getsockopt test cases")
Cc: stable@xxxxxxxxxxxxxxx
Signed-off-by: Matthieu Baerts <matthieu.baerts@xxxxxxxxxxxx>
Signed-off-by: Jakub Kicinski <kuba@xxxxxxxxxx>
Signed-off-by: Greg Kroah-Hartman <gregkh@xxxxxxxxxxxxxxxxxxx>
---
 tools/testing/selftests/net/mptcp/mptcp_sockopt.sh |    6 ++++++
 1 file changed, 6 insertions(+)

--- a/tools/testing/selftests/net/mptcp/mptcp_sockopt.sh
+++ b/tools/testing/selftests/net/mptcp/mptcp_sockopt.sh
@@ -87,6 +87,7 @@ cleanup()
 }
 
 mptcp_lib_check_mptcp
+mptcp_lib_check_kallsyms
 
 ip -Version > /dev/null 2>&1
 if [ $? -ne 0 ];then
@@ -253,6 +254,11 @@ do_mptcp_sockopt_tests()
 {
 	local lret=0
 
+	if ! mptcp_lib_kallsyms_has "mptcp_diag_fill_info$"; then
+		echo "INFO: MPTCP sockopt not supported: SKIP"
+		return
+	fi
+
 	ip netns exec "$ns_sbox" ./mptcp_sockopt
 	lret=$?
 


Patches currently in stable-queue which might be from matthieu.baerts@xxxxxxxxxxxx are

queue-6.3/selftests-mptcp-join-fix-shellcheck-warnings.patch
queue-6.3/selftests-mptcp-join-support-rm_addr-for-used-endpoints-or-not.patch
queue-6.3/selftests-mptcp-pm-nl-skip-fullmesh-flag-checks-if-not-supported.patch
queue-6.3/selftests-mptcp-lib-skip-if-missing-symbol.patch
queue-6.3/selftests-mptcp-join-skip-fullmesh-flag-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-connect-skip-tfo-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-join-skip-fastclose-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-remove-duplicated-entries-in-usage.patch
queue-6.3/selftests-mptcp-sockopt-skip-getsockopt-checks-if-not-supported.patch
queue-6.3/selftests-mptcp-join-skip-backup-if-set-flag-on-id-not-supported.patch
queue-6.3/selftests-mptcp-join-skip-mixed-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-userspace-pm-skip-if-ip-tool-is-unavailable.patch
queue-6.3/selftests-mptcp-join-helpers-to-skip-tests.patch
queue-6.3/selftests-mptcp-lib-skip-if-not-below-kernel-version.patch
queue-6.3/selftests-mptcp-userspace-pm-skip-if-not-supported.patch
queue-6.3/selftests-mptcp-join-uniform-listener-tests.patch
queue-6.3/selftests-mptcp-diag-skip-listen-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-sockopt-skip-tcp_inq-checks-if-not-supported.patch
queue-6.3/selftests-mptcp-join-skip-test-if-iptables-tc-cmds-fail.patch
queue-6.3/selftests-mptcp-join-skip-implicit-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-userspace-pm-skip-pm-listener-events-tests-if-unavailable.patch
queue-6.3/selftests-mptcp-join-skip-fail-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-sockopt-relax-expected-returned-size.patch
queue-6.3/selftests-mptcp-pm-nl-remove-hardcoded-default-limits.patch
queue-6.3/selftests-mptcp-join-skip-check-if-mib-counter-not-supported.patch
queue-6.3/selftests-mptcp-diag-skip-inuse-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-join-use-iptables-legacy-if-available.patch
queue-6.3/selftests-mptcp-join-support-local-endpoint-being-tracked-or-not.patch
queue-6.3/selftests-mptcp-join-skip-userspace-pm-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-connect-skip-transp-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-join-skip-mpc-backups-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-join-skip-pm-listener-tests-if-not-supported.patch
queue-6.3/selftests-mptcp-connect-skip-disconnect-tests-if-not-supported.patch



[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Index of Archives]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux